## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%undefine _package_note_file

Name:           rmlint
Version:        2.10.3
Release:        %autorelease
Summary:        Find space waste and other broken things on your filesystem

# GPLv3: main code
# MIT: metrohash
# BSD: xxHash Library
# CC0 or ASL 2.0 or OpenSSL: blake2
# Public code: MurmurHash3, sha3
# Automatically converted from old format: GPLv3 and MIT and BSD and (CC0 or ASL 2.0 or OpenSSL) and Public Domain - review is highly recommended.
License:        GPL-3.0-only AND LicenseRef-Callaway-MIT AND LicenseRef-Callaway-BSD AND (CC0-1.0 OR Apache-2.0 OR OpenSSL) AND LicenseRef-Callaway-Public-Domain

URL:            https://rmlint.rtfd.org
Source0:        https://github.com/sahib/rmlint/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Add-RPM_BUILD_ROOT-to-env.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  scons

BuildRequires:  elfutils-libelf-devel
BuildRequires:  glib2-devel
BuildRequires:  json-glib-devel
BuildRequires:  libblkid-devel
BuildRequires:  sqlite-devel

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

Provides:       bundled(blake2)
Provides:       bundled(sha3)
Provides:       bundled(xxhash)
Provides:       bundled(metrohash)
Provides:       bundled(murmurhash3)

# Split into two sub-packages since v2.10.3.
# Can be removed in F44+.
Obsoletes:      %{name} < 2.10.3

%package gui
Summary:        %{summary}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       hicolor-icon-theme
Requires:       gtksourceview4

# Can be removed in F44+.
Obsoletes:      %{name} < 2.10.3

%description gui
rmlint-gui (a.k.a. Shredder) is a graphical user interface to rmlint.
It uses rmlint to find space waste and other broken things on your filesystem
and offers to remove them.


%description
rmlint finds space waste and other broken things and offers to remove it.
It is an extremely fast tool to remove duplicates from your filesystem.

%global rmlint_scons_flags --prefix="%{buildroot}%{_prefix}" --actual-prefix="%{_prefix}" --libdir="%{_lib}" --without-compile-glib-schemas DEBUG=1 SYMBOLS=1 VERBOSE=1

%prep
%autosetup -p1
for f in `find gui/shredder -name "*.py"`; do
    sed '1{\@^#!/usr/bin/env python@d}' $f > $f.new &&
    touch -r $f $f.new &&
    mv $f.new $f
done

desktop-file-edit \
	--set-key "Exec" --set-value "shredder" \
	--remove-key "TryExec" \
	gui/shredder.desktop


%build
scons config %{?_smp_mflags} %{rmlint_scons_flags}
scons


%install
scons install %{rmlint_scons_flags}
%find_lang %{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/shredder.desktop


%files -f %{name}.lang
%doc README.rst
%license COPYING
%{_bindir}/rmlint
%{_mandir}/man1/rmlint.1*

%files gui
%{_bindir}/shredder
%{_datadir}/applications/shredder.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Shredder.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/shredder.svg
%{python3_sitelib}/shredder/
%{python3_sitelib}/shredder-%{version}-py*.egg-info

%changelog
## START: Generated by rpmautospec
* Sun Mar 23 2025 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.10.3-1
- Update to v2.10.3, move gui to subpackage

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 2.10.2-2
- convert license to SPDX

* Thu Aug 15 2024 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.10.2-1
- Fix FTBFS and update to v2.10.2
- FTBFS: rhbz#2272923
- Update to v2.10.2: rhbz#2230463

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.10.1-19
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 01 2023 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.1-16
- Update to 2.10.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 2.10.1-14
- Rebuilt for Python 3.12

* Tue Feb 07 2023 Florian Weimer <fweimer@redhat.com> - 2.10.1-13
- Fix C99 compatibility issue in SCons script

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.1-10
- Fix FTBFS Close: rhbz#2099165 rhbz#2046946

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.10.1-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.10.1-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 20 16:03:30 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.10.1-1
- Update to 2.10.1 (#1842300)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.9.0-4
- Rebuilt for Python 3.9

* Sun Feb 02 18:32:39 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.9.0-3
- Fix FTBFS with GCC 10

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Sep 18 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.9.0-1
- Release 2.9.0

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 2.8.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Dec 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.8.0-1
- Update version to 2.8.0

* Sun May 10 2015 Christopher Pahl <sahib@online.de> - 2.2.0-1
- Update version to 2.2.0

* Sun Jan 12 2015 Christopher Pahl <sahib@online.de> - 2.0.0-4
- Fix rpm for lib separation.

* Sat Dec 20 2014 Christopher Pahl <sahib@online.de> - 2.0.0-3
- Use autosetup instead of setup -q

* Fri Dec 19 2014 Christopher Pahl <sahib@online.de> - 2.0.0-2
- Updated wrong dependency list

* Mon Dec 01 2014 Christopher Pahl <sahib@online.de> - 2.0.0-1
- Initial release of RPM package

## END: Generated by rpmautospec
